Skip to main content
GET
/
api
/
funds
/
{fund_id}
/
performance
/
history
Historical performance analysis
curl --request GET \
  --url https://api.carterascolectivas.co/api/funds/{fund_id}/performance/history \
  --header 'x-api-key: <api-key>'
{
  "fund_info": {
    "id": 123,
    "name": "<string>",
    "category": "<string>",
    "aum": 123
  },
  "performance_metrics": {
    "average_annual_return": 123,
    "volatility": 123,
    "sharpe_ratio": 123,
    "max_drawdown": 123
  },
  "annual_returns": [
    {
      "year": 123,
      "return": 123
    }
  ]
}

Authorizations

x-api-key
string
header
required

Path Parameters

fund_id
integer
required

Query Parameters

years
integer
default:10

Years of history (max 13)

Response

200 - application/json

Performance analysis

fund_info
object
performance_metrics
object
annual_returns
object[]